OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.DebugOutput

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBDebugOutput :: MonadIO m => m Bool
- gl_ARB_debug_output :: Bool
- pattern GL_DEBUG_CALLBACK_FUNCTION_ARB :: GLenum
- pattern GL_DEBUG_CALLBACK_USER_PARAM_ARB :: GLenum
- pattern GL_DEBUG_LOGGED_MESSAGES_ARB :: GLenum
- pattern GL_DEBUG_NEXT_LOGGED_MESSAGE_LENGTH_ARB :: GLenum
- pattern GL_DEBUG_OUTPUT_SYNCHRONOUS_ARB :: GLenum
- pattern GL_DEBUG_SEVERITY_HIGH_ARB :: GLenum
- pattern GL_DEBUG_SEVERITY_LOW_ARB :: GLenum
- pattern GL_DEBUG_SEVERITY_MEDIUM_ARB :: GLenum
- pattern GL_DEBUG_SOURCE_API_ARB :: GLenum
- pattern GL_DEBUG_SOURCE_APPLICATION_ARB :: GLenum
- pattern GL_DEBUG_SOURCE_OTHER_ARB :: GLenum
- pattern GL_DEBUG_SOURCE_SHADER_COMPILER_ARB :: GLenum
- pattern GL_DEBUG_SOURCE_THIRD_PARTY_ARB :: GLenum
- pattern GL_DEBUG_SOURCE_WINDOW_SYSTEM_ARB :: GLenum
- pattern GL_DEBUG_TYPE_DEPRECATED_BEHAVIOR_ARB :: GLenum
- pattern GL_DEBUG_TYPE_ERROR_ARB :: GLenum
- pattern GL_DEBUG_TYPE_OTHER_ARB :: GLenum
- pattern GL_DEBUG_TYPE_PERFORMANCE_ARB :: GLenum
- pattern GL_DEBUG_TYPE_PORTABILITY_ARB :: GLenum
- pattern GL_DEBUG_TYPE_UNDEFINED_BEHAVIOR_ARB :: GLenum
- pattern GL_MAX_DEBUG_LOGGED_MESSAGES_ARB :: GLenum
- pattern GL_MAX_DEBUG_MESSAGE_LENGTH_ARB :: GLenum
- glDebugMessageCallbackARB :: MonadIO m => GLDEBUGPROCARB -> Ptr a -> m ()
- glDebugMessageControlARB :: MonadIO m => GLenum -> GLenum -> GLenum -> GLsizei -> Ptr GLuint -> GLboolean -> m ()
- glDebugMessageInsertARB :: MonadIO m => GLenum -> GLenum -> GLuint -> GLenum -> GLsizei -> Ptr GLchar -> m ()
- glGetDebugMessageLogARB :: MonadIO m => GLuint -> GLsizei -> Ptr GLenum -> Ptr GLenum -> Ptr GLuint -> Ptr GLenum -> Ptr GLsizei -> Ptr GLchar -> m GLuint

# Extension Support

glGetARBDebugOutput :: MonadIO m => m Bool Source #

Is the ARB_debug_output extension supported?

gl_ARB_debug_output :: Bool Source #

Is the ARB_debug_output extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBDebugOutput` in those cases instead.

# Enums

pattern GL_DEBUG_CALLBACK_FUNCTION_ARB :: GLenum Source #

pattern GL_DEBUG_CALLBACK_USER_PARAM_ARB :: GLenum Source #

pattern GL_DEBUG_LOGGED_MESSAGES_ARB :: GLenum Source #

pattern GL_DEBUG_NEXT_LOGGED_MESSAGE_LENGTH_ARB :: GLenum Source #

pattern GL_DEBUG_OUTPUT_SYNCHRONOUS_ARB :: GLenum Source #

pattern GL_DEBUG_SEVERITY_HIGH_ARB :: GLenum Source #

pattern GL_DEBUG_SEVERITY_LOW_ARB :: GLenum Source #

pattern GL_DEBUG_SEVERITY_MEDIUM_ARB :: GLenum Source #

pattern GL_DEBUG_SOURCE_API_ARB :: GLenum Source #

pattern GL_DEBUG_SOURCE_APPLICATION_ARB :: GLenum Source #

pattern GL_DEBUG_SOURCE_OTHER_ARB :: GLenum Source #

pattern GL_DEBUG_SOURCE_SHADER_COMPILER_ARB :: GLenum Source #

pattern GL_DEBUG_SOURCE_THIRD_PARTY_ARB :: GLenum Source #

pattern GL_DEBUG_SOURCE_WINDOW_SYSTEM_ARB :: GLenum Source #

pattern GL_DEBUG_TYPE_DEPRECATED_BEHAVIOR_ARB :: GLenum Source #

pattern GL_DEBUG_TYPE_ERROR_ARB :: GLenum Source #

pattern GL_DEBUG_TYPE_OTHER_ARB :: GLenum Source #

pattern GL_DEBUG_TYPE_PERFORMANCE_ARB :: GLenum Source #

pattern GL_DEBUG_TYPE_PORTABILITY_ARB :: GLenum Source #

pattern GL_DEBUG_TYPE_UNDEFINED_BEHAVIOR_ARB :: GLenum Source #

pattern GL_MAX_DEBUG_LOGGED_MESSAGES_ARB :: GLenum Source #

pattern GL_MAX_DEBUG_MESSAGE_LENGTH_ARB :: GLenum Source #

# Functions

glDebugMessageCallbackARB Source #

Arguments

:: MonadIO m |
=> GLDEBUGPROCARB | `callback`.
-> Ptr a | `userParam` pointing to `COMPSIZE(callback)` elements of type `a`.
-> m () |

This command is an alias for `glDebugMessageCallback`.

glDebugMessageControlARB Source #

Arguments

:: MonadIO m |
=> GLenum | `source` of type DebugSource.
-> GLenum | `type` of type DebugType.
-> GLenum | `severity` of type DebugSeverity.
-> GLsizei | `count`.
-> Ptr GLuint | `ids` pointing to `count` elements of type `GLuint`.
-> GLboolean | `enabled` of type Boolean.
-> m () |

This command is an alias for `glDebugMessageControl`.

glDebugMessageInsertARB Source #

Arguments

:: MonadIO m |
=> GLenum | `source` of type DebugSource.
-> GLenum | `type` of type DebugType.
-> GLuint | `id`.
-> GLenum | `severity` of type DebugSeverity.
-> GLsizei | `length`.
-> Ptr GLchar | `buf` pointing to `length` elements of type `GLchar`.
-> m () |

This command is an alias for `glDebugMessageInsert`.

glGetDebugMessageLogARB Source #

Arguments

:: MonadIO m |
=> GLuint | `count`.
-> GLsizei | `bufSize`.
-> Ptr GLenum | `sources` pointing to `count` elements of type DebugSource.
-> Ptr GLenum | `types` pointing to `count` elements of type DebugType.
-> Ptr GLuint | `ids` pointing to `count` elements of type `GLuint`.
-> Ptr GLenum | `severities` pointing to `count` elements of type DebugSeverity.
-> Ptr GLsizei | `lengths` pointing to `count` elements of type `GLsizei`.
-> Ptr GLchar | `messageLog` pointing to `bufSize` elements of type `GLchar`.
-> m GLuint |

This command is an alias for `glGetDebugMessageLog`.